xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) Andrea Rossato 2007
License | BSD-style (see xmonad/LICENSE)
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.ShowWName

Contents

- Usage

Description

This is a layout modifier that will show the workspace name

Synopsis

- showWName :: l a -> ModifiedLayout ShowWName l a
- showWName' :: SWNConfig -> l a -> ModifiedLayout ShowWName l a
- def :: Default a => a
- data SWNConfig = SWNC {
  - swn_font :: String
  - swn_bgcolor :: String
  - swn_color :: String
  - swn_fade :: Rational
  }
- data ShowWName a

# Usage

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Layout.ShowWName
    myLayout = layoutHook def
    main = xmonad def { layoutHook = showWName myLayout }

For more detailed instructions on editing the layoutHook see the tutorial and XMonad.Doc.Extending.

showWName :: l a -> ModifiedLayout ShowWName l a Source #

A layout modifier to show the workspace name when switching

showWName' :: SWNConfig -> l a -> ModifiedLayout ShowWName l a Source #

A layout modifier to show the workspace name when switching. It is possible to provide a custom configuration.

def :: Default a => a #

data SWNConfig Source #

Constructors

SWNC |

Fields

- swn_font :: String

  Font name

- swn_bgcolor :: String

  Background color

- swn_color :: String

  String color

- swn_fade :: Rational

  Time in seconds of the name visibility

#### Instances

Instances details

Read SWNConfig Source # |
Instance details Defined in XMonad.Layout.ShowWName Methods readsPrec :: Int -> ReadS SWNConfig Source # readList :: ReadS [SWNConfig] Source # readPrec :: ReadPrec SWNConfig Source # readListPrec :: ReadPrec [SWNConfig] Source #
Show SWNConfig Source # |
Instance details Defined in XMonad.Layout.ShowWName Methods showsPrec :: Int -> SWNConfig -> ShowS Source # show :: SWNConfig -> String Source # showList :: [SWNConfig] -> ShowS Source #
Default SWNConfig Source # |
Instance details Defined in XMonad.Layout.ShowWName Methods def :: SWNConfig #

data ShowWName a Source #

#### Instances

Instances details

LayoutModifier ShowWName a Source # |

Instance details

Defined in XMonad.Layout.ShowWName

Methods

modifyLayout :: LayoutClass l a => ShowWName a -> Workspace WorkspaceId (l a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (l a)) Source #

modifyLayoutWithUpdate :: LayoutClass l a => ShowWName a -> Workspace WorkspaceId (l a) a -> Rectangle -> X (([(a, Rectangle)], Maybe (l a)), Maybe (ShowWName a)) Source #

handleMess :: ShowWName a -> SomeMessage -> X (Maybe (ShowWName a)) Source #

handleMessOrMaybeModifyIt :: ShowWName a -> SomeMessage -> X (Maybe (Either (ShowWName a) SomeMessage)) Source #

pureMess :: ShowWName a -> SomeMessage -> Maybe (ShowWName a) Source #

redoLayout :: ShowWName a -> Rectangle -> Maybe (Stack a) -> [(a, Rectangle)] -> X ([(a, Rectangle)], Maybe (ShowWName a)) Source #

pureModifier :: ShowWName a -> Rectangle -> Maybe (Stack a) -> [(a, Rectangle)] -> ([(a, Rectangle)], Maybe (ShowWName a)) Source #

hook :: ShowWName a -> X () Source #

unhook :: ShowWName a -> X () Source #

modifierDescription :: ShowWName a -> String Source #

modifyDescription :: LayoutClass l a => ShowWName a -> l a -> String Source #

Read (ShowWName a) Source # |
Instance details Defined in XMonad.Layout.ShowWName Methods readsPrec :: Int -> ReadS (ShowWName a) Source # readList :: ReadS [ShowWName a] Source # readPrec :: ReadPrec (ShowWName a) Source # readListPrec :: ReadPrec [ShowWName a] Source #
Show (ShowWName a) Source # |
Instance details Defined in XMonad.Layout.ShowWName Methods showsPrec :: Int -> ShowWName a -> ShowS Source # show :: ShowWName a -> String Source # showList :: [ShowWName a] -> ShowS Source #